HTABLE(8)

NAME
htable - convert NIC standard format host tables

SYNOPSIS
htable [-c connected-nets] [-l local-nets] file

DESCRIPTION
htable is used to convert host files in the format specified in Internet RFC 810 to the format used by the network library routines. Three files are created as a result of running: hosts, networks, and gateways. The hosts file may be used by the gethostbyname(3) routines in mapping host names to addresses if the nameserver, named(8), is not used. The networks file is used by the getnetent(3) routines in mapping network names to numbers. The gateways file may be used by the routing daemon in identifying “passive” Internet gateways; see routed(8) for an explanation.

Options available for:

-c connected-nets
    If the gateways file is to be used, connected-nets is a list of networks to which the host is directly connected. The networks, separated by commas, may be given by name or in Internet-standard dot notation, for example:

        -c arpanet,128.32,local-ether-net.

    htable only includes gateways which are directly connected to one of the networks specified, or which can be reached from another gateway on a connected net.

-l local-nets
    If the -l option is given with a list of networks (in the same format as for -c), these networks will be treated as ``local,'' and information about hosts on local networks is taken only from the localhosts file. Entries for local hosts from the main database will be omitted. This allows the localhosts file to completely override any entries in the input file.

If any of the files localhosts, localnetworks, or localgateways are present in the current directory, the file's contents is prepended to the output file. Of these, only the gateways file is interpreted. This allows sites to maintain local aliases and entries which are not normally present in the master database. Only one gateway to each network will be placed in the gateways file; a gateway listed in the localgateways file will override any in the input file.

htable is best used in conjunction with the gettable(8) program which retrieves the NIC database from a host.

SEE ALSO
netintro(4), gettable(8), named(8)

BUGS
If the name-domain system provided network name mapping well as host name mapping, htable would no longer be needed.

HISTORY
The htable command appeared in 4.2BSD.